Bug 230242 - passing ks= results in GET /./foo/bar
passing ks= results in GET /./foo/bar
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: anaconda (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Lumens
Depends On:
  Show dependency treegraph
Reported: 2007-02-27 13:18 EST by John Franklin
Modified: 2007-11-16 20:14 EST (History)
0 users

See Also:
Fixed In Version: RHEL5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-04-20 10:33:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description John Franklin 2007-02-27 13:18:13 EST
Description of problem:
Passing in an http URL for a kickstart config file results in a get with a /.
(slash-dot) prepended to the path.  This confuses some fastcgi services like Rails.

Version-Release number of selected component (if applicable):
KS boot environment is as shipped on the 4u4 CDs
Ruby 1.8.5
Rails 1.1.6
ruby-fcgi 0.8.7
Apache 2.2.2

How reproducible:

Steps to Reproduce:
1. Set up a Ruby on Rails environment
2. Boot with ks=http://<bootServerIP>/<some path that maps to RoR>
3. Observe in access_log "GET /./<some path>" returning a 404.
Actual results: - - [27/Feb/2007:10:05:24 -0800] "GET /./systems/kickstart/2
HTTP/1.0" 404 610

Expected results: - - [27/Feb/2007:10:05:24 -0800] "GET /systems/kickstart/2
HTTP/1.1" 200 5588

Additional info:
Comment 1 Chris Lumens 2007-04-04 10:15:26 EDT
Is this better in RHEL5?  I did some work on sanitizing these strings in the FC6
timeframe, so it should be a little better in that release.
Comment 2 John Franklin 2007-04-19 18:07:07 EDT
Yes, better.  A RHEL5 run reports: - - [19/Apr/2007:15:05:28 -0700] "GET /systems/kickstart/8
HTTP/1.0" 200 7032
Comment 3 Chris Lumens 2007-04-20 10:33:32 EDT
Okay, then I'm going to close this out as CURRENTRELEASE.  If you require this
fix to be backported for a RHEL5 update release, please speak with your support
representative who will raise it through the appropriate channels.  Thanks for
the bug report and the testing.

Note You need to log in before you can comment on or make changes to this bug.